import {
  DocBlock,
  DocSideBySide,
  CodeParams,
  Parameter,
  Field,
  Values,
  CodeSnippets,
} from "../../../components/CodeDocBlock";

<DocBlock>

## getVersion

Returns the current Solana version running on the node

<DocSideBySide>
<CodeParams>

### Parameters:

**None**

### Result:

The result field will be a JSON object with the following fields:

- `solana-core` - software version of solana-core as a `string`
- `feature-set` - unique identifier of the current software's feature set as a `u32`

</CodeParams>

<CodeSnippets>

### Code sample:

```bash
curl http://localhost:8899 -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"getVersion"}
'
```

### Response:

```json
{ "jsonrpc": "2.0", "result": { "feature-set": 2891131721, "solana-core": "1.16.7" }, "id": 1 }
```

</CodeSnippets>
</DocSideBySide>
</DocBlock>
